<?php
$obj_tab_view=new cls_tab_hr_resume_view();

switch($get_app){
	case "view_edit":
		break;
	case "view_save":
		break;
	default:
		if(isset($get_act)&&$get_act=="del"&&isset($get_id)&&$get_id>0){
			$arr_msg=$obj_tab_view->on_del($get_id);
			if($arr_msg["err"]!="")
			{
				$obj_msg->alert($arr_msg["err"]);
			}
		}
		if(isset($get_act)&&$get_act=="del_s"&&isset($get_jobids)){
			$arr_msg=$obj_tab_view->on_del($get_jobids);
			if($arr_msg["err"]!="")
			{
				$obj_msg->alert($arr_msg["err"]);
			}
		}
		$str_where=" where view_company_id='".$obj_ctl_user->get_company_id()."'";
		$arr_view=array();
		$arr_company_id=array();
		$arr_company_id=array();
		$obj_result = $obj_db->query("SELECT * FROM ".DB_PRE."hr_resume_view".$str_where);
		while($obj_rs = $obj_db->fetch_array($obj_result))
		{
			$obj_rs["view_addtime"]=format_date($obj_rs["view_addtime"]);
			$arr_company_id[]=$obj_rs["view_user_id"];
			$arr_view[]=$obj_rs;
		}
		if(count($arr_company_id)>0){
			$str_company_ids=implode(",",$arr_company_id);
			$obj_result = $obj_db->query("SELECT * FROM ".DB_PRE."hr_company where company_id in(".$str_company_ids.")");
			while($obj_rs = $obj_db->fetch_array($obj_result))
			{
				$arr_company["id_".$obj_rs["company_id"]]=$obj_rs;
			}
		}
}


?>